<template>
  <div class="modal">
    <b-modal
      id="createAPModal"
      :title="$t('page.createResource.applicationProfile.createAp.title')"
      :hide-footer="true"
    >
      <!-- Body -->
      <i18n-t
        scope="global"
        keypath="page.createResource.applicationProfile.createAp.body"
        tag="p"
      >
        <template #br><br /></template>
      </i18n-t>

      <!-- Buttons -->
      <div class="mt-3">
        <!-- Confirm Button -->
        <b-button
          class="createAPModalRightBtn float-end"
          variant="primary"
          @click="toAIMS"
          >{{ $t("buttons.confirm") }}
        </b-button>

        <!-- Cancel Button -->
        <b-button
          class="createAPModalLeftBtn"
          variant="secondary"
          @click="createAPModal.hide()"
          >{{ $t("buttons.cancel") }}
        </b-button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts">
import useProjectStore from "@/modules/project/store";
import useLoginStore from "@/modules/login/store";
import useMainStore from "@/store/index";

import { useModal } from "bootstrap-vue-next";

import type { ProjectDto } from "@coscine/api-client/dist/types/Coscine.Api";

export default defineComponent({
  setup() {
    const mainStore = useMainStore();
    const loginStore = useLoginStore();
    const projectStore = useProjectStore();

    const createAPModal = useModal("createAPModal");

    return { mainStore, loginStore, projectStore, createAPModal };
  },

  computed: {
    project(): ProjectDto | null {
      return this.projectStore.currentProject;
    },
  },

  methods: {
    async toAIMS() {
      const accessToken = this.loginStore.authorization.bearer;
      const url = this.$router.resolve({
        path: "/coscine/apps/aimsfrontend/",
        query: { token: accessToken },
      }).href;
      window.open(url);
    },
  },
});
</script>

<style></style>
